Page MenuHome

Crash on When Assigning Attributes in Geometry Nodes
Closed, ResolvedPublic

Description

System Information
Operating system: macOS-11.1-arm64-arm-64bit 64 Bits
Graphics card: Apple M1 Apple 4.1 Metal - 71.0.7

Blender Version
Broken: version: 2.93.0 Beta, branch: master (modified), commit date: 2021-04-19 10:12, hash: rB6dffdb02fa2a
Worked: (2.92.0)

Short description of error
When defining a new variable in attribute nodes, such as Attribute Proximity and Attribute Math, the return keystroke causes a crash. It started on a very new project that had appropriate geometry inputs connected to the attribute node.

Exact steps for others to reproduce the error
Starting a new file, the crash was immediately replicated by adding a fresh Geometry Nodes modifier to the default cube, adding a single attribute node, and attempting to define a new variable. It was replicated multiple times with combinations of different meshes and attribute nodes.

Thanks for making Blender!

[Based on the default startup or an attached .blend file (as simple as possible)]

Event Timeline

Can you attach .blend file with the report. I'm not able to reproduce it.
tested version 3.0.0 alpha, Hash : 41945454f71


System Information
Operating system : Windows-10-10.0.18362-SP0 64 Bits
Graphics card : AMD Radeon(TM) 535 ATI Technologies .

Refer this document to submit a crash report

David Barton (Eyebeards) renamed this task from Crash on User-Defined Variable in Geometry Nodes to Crash on When Assigning Attributes in Geometry Nodes.Sat, May 1, 6:32 PM
David Barton (Eyebeards) edited projects, added BF Blender (2.93); removed BF Blender.

Pratik, I'm sorry for my inefficiency here. This is my first bug report.

I have done more testing and see that this bug is the result of pressing the return key inside of the attribute text box on any attribute node, which is disconnected from the group output node.

In these cases, the dropdown menu for attribute inputs opens but remains blank. If the return key is pressed from this state, it results in a crash.

CRASH REPORT:

far: 0x000000011015b1e2  esr: 0x56000080

Binary Images:

0x100bdc000 -        0x109d77fff +org.blenderfoundation.blender (2.93.0 - 2.93.0 2021-04-19) <44CF8416-B071-3102-872D-4111E49341B8> /Applications/Blender.app/Contents/MacOS/Blender
0x1100e0000 -        0x110143fff +libomp.dylib (0) <86EC26AD-86C9-39D7-9666-90CC1FFF8605> /Applications/Blender.app/Contents/Resources/lib/libomp.dylib
0x110188000 -        0x110203fff  dyld (832.7.1) <B7DB9E8A-A898-3C11-91A0-2B0264F05CB6> /usr/lib/dyld
0x1154cc000 -        0x1154d7fff  libobjc-trampolines.dylib (818.2) <10840110-16BD-3EB2-B9CF-CCAB42259740> /usr/lib/libobjc-trampolines.dylib
0x11671c000 -        0x116867fff  com.apple.audio.units.Components (1.14 - 1.14) <739B3C72-5759-3538-82D1-95D665164D51> /System/Library/Components/CoreAudio.component/Contents/MacOS/CoreAudio
0x116c98000 -        0x116cf7fff  com.apple.AppleMetalOpenGLRenderer (1.0 - 1) <C9A177DA-65BC-31AD-8685-E5A974975291> /System/Library/Extensions/AppleMetalOpenGLRenderer.bundle/Contents/MacOS/AppleMetalOpenGLRenderer
0x117800000 -        0x117cfffff  com.apple.AGXMetal13-3 (172.20.14 - 172.20.14) <1352B37A-9D23-3610-BDEE-C054980814BD> /System/Library/Extensions/AGXMetal13_3.bundle/Contents/MacOS/AGXMetal13_3
0x1237d0000 -        0x1237d3fff +_heapq.cpython-39-darwin.so (0) <85368D6E-9243-3E82-A50B-B0F8CA533541> /Applications/Blender.app/Contents/Resources/2.93/python/lib/python3.9/lib-dynload/_heapq.cpython-39-darwin.so
0x126074000 -        0x12607ffff +math.cpython-39-darwin.so (0) <6CA88306-625E-3649-A7AA-0F94B7CAAD6B> /Applications/Blender.app/Contents/Resources/2.93/python/lib/python3.9/lib-dynload/math.cpython-39-darwin.so
0x1a16be000 -        0x1a16bffff  libsystem_blocks.dylib (78) <D3998C8A-7A1C-3962-822C-91DFC11ACBF7> /usr/lib/system/libsystem_blocks.dylib
0x1a16c0000 -        0x1a16f7fff  libxpc.dylib (2038.40.38) <D87D7BAA-9E73-3A84-8247-3456B703C302> /usr/lib/system/libxpc.dylib
0x1a16f8000 -        0x1a170ffff  libsystem_trace.dylib (1277.50.1) <D67123A1-A8BC-329C-BC76-830E95EBA1B3> /usr/lib/system/libsystem_trace.dylib
0x1a1710000 -        0x1a1783fff  libcorecrypto.dylib (1000.60.19) <D6B8B5AA-56DF-3E47-A778-007A7AA81372> /usr/lib/system/libcorecrypto.dylib
0x1a1784000 -        0x1a17affff  libsystem_malloc.dylib (317.40.8) <E47334AF-7E46-3FAE-B71C-9D9B4F1DF1DE> /usr/lib/system/libsystem_malloc.dylib
0x1a17b0000 -        0x1a17f3fff  libdispatch.dylib (1271.40.12) <68CAA910-6621-32A1-95AE-40594BA75013> /usr/lib/system/libdispatch.dylib
0x1a17f4000 -        0x1a182cfff  libobjc.A.dylib (818.2) <A4BC7D83-2CA5-32B1-B1CA-1D1431C04916> /usr/lib/libobjc.A.dylib
0x1a182d000 -        0x1a182ffff  libsystem_featureflags.dylib (28.60.1) <790541FA-8846-39B1-B87F-BCB1C87A6A27> /usr/lib/system/libsystem_featureflags.dylib
0x1a1830000 -        0x1a18b0fff  libsystem_c.dylib (1439.40.11) <4A324485-84D9-318F-8267-70FF10504289> /usr/lib/system/libsystem_c.dylib
0x1a18b1000 -        0x1a190cfff  libc++.1.dylib (904.4) <28BA0783-4F54-33EB-8DC0-DC23CD3BC576> /usr/lib/libc++.1.dylib
0x1a190d000 -        0x1a1926fff  libc++abi.dylib (904.4) <9291CD18-15AA-33CB-96FD-C5CB7F500470> /usr/lib/libc++abi.dylib
0x1a1927000 -        0x1a1959fff  libsystem_kernel.dylib (7195.60.75) <35BFD663-2C38-3E0F-A35E-8C1BC6400898> /usr/lib/system/libsystem_kernel.dylib
0x1a195a000 -        0x1a1965fff  libsystem_pthread.dylib (454.60.1) <EDB716F3-BF94-3941-B7DA-D6C91094C645> /usr/lib/system/libsystem_pthread.dylib
0x1a1966000 -        0x1a19a4fff  libdyld.dylib (832.7.1) <87B502C5-584E-381A-8C99-6105402B8A6E> /usr/lib/system/libdyld.dylib
0x1a19a5000 -        0x1a19abfff  libsystem_platform.dylib (254.60.1) <089E074F-F575-3853-B081-B3B0A23FDA61> /usr/lib/system/libsystem_platform.dylib
0x1a19ac000 -        0x1a19d7fff  libsystem_info.dylib (542.40.3) <CFE4640F-4E04-3DC5-80F6-79E0BF7F4FAF> /usr/lib/system/libsystem_info.dylib
0x1a19d8000 -        0x1a1e81fff  com.apple.CoreFoundation (6.9 - 1770.300) <396F9604-7574-3C1B-ACA7-C7EB24FE3544> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x1a1e82000 -        0x1a20b4fff  com.apple.LaunchServices (1122.11 - 1122.11) <D9D92910-FF1A-3868-ABB6-C0E1A256A95B> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x1a20b5000 -        0x1a218dfff  com.apple.gpusw.MetalTools (1.0 - 1) <93384C15-675B-3BB6-989E-A5C3450B9D64> /System/Library/PrivateFrameworks/MetalTools.framework/Versions/A/MetalTools
0x1a218e000 -        0x1a23e8fff  libBLAS.dylib (1336.40.1) <7BF1EC0C-692E-3D4A-AD4E-0C8C29C4C178> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x1a23e9000 -        0x1a2433fff  com.apple.Lexicon-framework (1.0 - 86.1) <38A45B37-F56D-3077-AE41-202435470BD0> /System/Library/PrivateFrameworks/Lexicon.framework/Versions/A/Lexicon
0x1a2434000 -        0x1a2496fff  libSparse.dylib (106) <8E6B9AAB-79F7-3ADA-B7CF-DD0FA0DBBCE8> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparse.dylib
0x1a2497000 -        0x1a251efff  com.apple.SystemConfiguration (1.20 - 1.20) <9DDF8F69-ED1D-3CF5-8BE5-45D2D2D32DF1> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x1a251f000 -        0x1a2552fff  libCRFSuite.dylib (50) <29C89933-ADA1-359A-9E5B-CF3A5B4A618E> /usr/lib/libCRFSuite.dylib
0x1a2553000 -        0x1a277dfff  libmecabra.dylib (929.1.1) <3CDA7E90-E5E4-3C5B-AA24-FF880AF18D0E> /usr/lib/libmecabra.dylib
0x1a277e000 -        0x1a2b0ffff  com.apple.Foundation (6.9 - 1770.300) <5CEA7350-F274-39AE-9F27-D9813F2C3A76> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x1a2b10000 -        0x1a2c01fff  com.apple.LanguageModeling (1.0 - 247.1) <4D0D7198-4EB8-3D57-93E7-6F1F7EF4437C> /System/Library/PrivateFrameworks/LanguageModeling.framework/Versions/A/LanguageModeling
0x1a2c02000 -        0x1a2d24fff  com.apple.CoreDisplay (231.3 - 231.3) <C5041E8F-8A23-3EF8-8F45-E9A80452B397> /System/Library/Frameworks/CoreDisplay.framework/Versions/A/CoreDisplay
0x1a2d25000 -        0x1a2f92fff  com.apple.audio.AudioToolboxCore (1.0 - 1180.23) <70295FDE-F110-3D9F-B696-D8E4995D2FE4> /System/Library/PrivateFrameworks/AudioToolboxCore.framework/Versions/A/AudioToolboxCore
0x1a2f93000 -        0x1a3164fff  com.apple.CoreText (677.2.0.5 - 677.2.0.5) <AE3C151D-2022-3A70-9DE4-FA773BF55FDB> /System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
0x1a3165000 -        0x1a3789fff  com.apple.audio.CoreAudio (5.0 - 5.0) <0E6AD3C8-3E90-3CB7-BE25-DDD37AFD1917> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x1a378a000 -        0x1a3ae7fff  com.apple.security (7.0 - 59754.60.13) <495AE9B1-FAB5-3409-A758-B837B872CD61> /System/Library/Frameworks/Security.framework/Versions/A/Security
0x1a3ae8000 -        0x1a3d59fff  libicucore.A.dylib (66109) <CFFBBD7C-F4CB-3D78-AD6C-86901ECE567F> /usr/lib/libicucore.A.dylib
0x1a3d5a000 -        0x1a3d64fff  libsystem_darwin.dylib (1439.40.11) <1DEB48CE-5F39-3BBC-8D13-00C7636F7FE5> /usr/lib/system/libsystem_darwin.dylib
0x1a3d65000 -        0x1a4054fff  com.apple.CoreServices.CarbonCore (1307 - 1307) <4A7CBA4E-46D7-3C12-9E87-20C15E4FACE6> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x1a4055000 -        0x1a408ffff  com.apple.CoreServicesInternal (476 - 476) <1308E62B-1210-3F6A-98AA-7D0C527C6162> /System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/A/CoreServicesInternal
0x1a4090000 -        0x1a40cbfff  com.apple.CSStore (1122.11 - 1122.11) <1B34F90E-E298-3EF6-904F-6903CDEF72EF> /System/Library/PrivateFrameworks/CoreServicesStore.framework/Versions/A/CoreServicesStore
0x1a40cc000 -        0x1a4196fff  com.apple.framework.IOKit (2.0.2 - 1845.60.2) <B0586F3E-D933-32E2-A51A-3B0DC242DB5F> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x1a4197000 -        0x1a41a2fff  libsystem_notify.dylib (279.40.4) <C8ADD6C0-5150-359F-8A38-AEAA3351AA5C> /usr/lib/system/libsystem_notify.dylib
0x1a41a3000 -        0x1a41effff  libsandbox.1.dylib (1441.60.4) <010546C0-030F-3E97-8CDF-4AA5665917FA> /usr/lib/libsandbox.1.dylib
0x1a41f0000 -        0x1a4f4efff  com.apple.AppKit (6.9 - 2022.20.119) <78F21674-643E-3793-B1CD-C8BDBC76BAD5> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x1a4f4f000 -        0x1a517cfff  com.apple.UIFoundation (1.0 - 726.11) <085965EE-A855-340D-8022-805BB9F45A87> /System/Library/PrivateFrameworks/UIFoundation.framework/Versions/A/UIFoundation
0x1a517d000 -        0x1a518ffff  com.apple.UniformTypeIdentifiers (633.0.2 - 633.0.2) <894D4234-E2B3-3154-B7C5-C7C1042100A0> /System/Library/Frameworks/UniformTypeIdentifiers.framework/Versions/A/UniformTypeIdentifiers
0x1a5190000 -        0x1a52fefff  com.apple.desktopservices (1.17 - 1346.2.1) <9FB6D481-1E7B-3A98-AB83-B6F7BF988AF9> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x1a55b8000 -        0x1a5cc2fff  libnetwork.dylib (2288.60.5) <A9B6599B-C0A3-3E26-93A4-0BCCCCDB5D30> /usr/lib/libnetwork.dylib
0x1a5cc3000 -        0x1a6150fff  com.apple.CFNetwork (1209.1 - 1209.1) <BE1B59DE-CE44-3CAE-897A-735E500ABB73> /System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x1a6151000 -        0x1a6160fff  libsystem_networkextension.dylib (1295.60.5) <399ACCA2-77CA-3A30-9930-1382F8DBBAD3> /usr/lib/system/libsystem_networkextension.dylib
0x1a6161000 -        0x1a6162fff  libenergytrace.dylib (22) <2AE008F9-387E-3386-8324-27E5A1574598> /usr/lib/libenergytrace.dylib
0x1a6163000 -        0x1a61b7fff  libMobileGestalt.dylib (978.60.2) <D8DD322B-F5E3-3398-B549-51AF91E7935D> /usr/lib/libMobileGestalt.dylib
0x1a61b8000 -        0x1a61cffff  libsystem_asl.dylib (385) <B25E1954-9781-3238-8B1C-0CF44B5FA684> /usr/lib/system/libsystem_asl.dylib
0x1a61d0000 -        0x1a61e9fff  com.apple.TCC (1.0 - 1) <E0CEAEA4-8553-31F2-831B-35D8443CA4A3> /System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
0x1a61ea000 -        0x1a654ffff  com.apple.SkyLight (1.600.0 - 569.6) <936C1A3C-0381-3277-B5A2-29333312F86F> /System/Library/PrivateFrameworks/SkyLight.framework/Versions/A/SkyLight
0x1a6550000 -        0x1a6b3dfff  com.apple.CoreGraphics (2.0 - 1463.2.2) <D6C003BF-A49F-37E4-ADE1-31AFA72DDB41> /System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x1a6b3e000 -        0x1a6c33fff  com.apple.ColorSync (4.13.0 - 3472) <DFF79761-3AF6-33F4-BAD2-8A276AECE01D> /System/Library/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x1a6c34000 -        0x1a6c8ffff  com.apple.HIServices (1.22 - 713) <314B0EC5-1646-3A34-9A1B-FB3CE405EC29> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x1a6feb000 -        0x1a739cfff  com.apple.CoreData (120 - 1044.3) <0DFDE2DB-2C07-3DBE-872E-CFD24D675C43> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x1a739d000 -        0x1a73b4fff  com.apple.ProtocolBuffer (1 - 285.20.8.8.1) <A2A5B698-8017-3DCE-BD07-C9CC7A807B95> /System/Library/PrivateFrameworks/ProtocolBuffer.framework/Versions/A/ProtocolBuffer
0x1a73b5000 -        0x1a755cfff  libsqlite3.dylib (321.1) <23EE8E77-50C4-35E8-A3C7-04C71FBD8565> /usr/lib/libsqlite3.dylib
0x1a755d000 -        0x1a75d4fff  com.apple.Accounts (113 - 113) <718942B7-C0EF-3B33-861B-5BA79D5A1A92> /System/Library/Frameworks/Accounts.framework/Versions/A/Accounts
0x1a75d5000 -        0x1a75ecfff  com.apple.commonutilities (8.0 - 900) <49536612-8785-3D31-A128-266D79ADC772> /System/Library/PrivateFrameworks/CommonUtilities.framework/Versions/A/CommonUtilities
0x1a75ed000 -        0x1a7671fff  com.apple.BaseBoard (526 - 526) <7A3F1C5D-442D-35AB-8B63-D13EC7638F1A> /System/Library/PrivateFrameworks/BaseBoard.framework/Versions/A/BaseBoard
0x1a7672000 -        0x1a76c2fff  com.apple.RunningBoardServices (1.0 - 505.60.2) <C1D71AE3-7493-3A7C-9717-EB6A6BFE451E> /System/Library/PrivateFrameworks/RunningBoardServices.framework/Versions/A/RunningBoardServices
0x1a76c3000 -        0x1a7736fff  com.apple.AE (918.0.1 - 918.0.1) <311D1113-C432-3442-BB70-8605090A5E5C> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x1a7737000 -        0x1a773efff  libdns_services.dylib (1310.60.4) <8FFC83B0-344F-3FE7-8FA9-8AE1AAFB99BB> /usr/lib/libdns_services.dylib
0x1a773f000 -        0x1a7746fff  libsystem_symptoms.dylib (1431.60.1) <CF9E7636-168A-36DD-95F0-6CA76B91D3DC> /usr/lib/system/libsystem_symptoms.dylib
0x1a7747000 -        0x1a78a3fff  com.apple.Network (1.0 - 1) <6112E930-7DB0-369D-9536-930C8C3CD690> /System/Library/Frameworks/Network.framework/Versions/A/Network
0x1a78a4000 -        0x1a78c9fff  com.apple.analyticsd (1.0 - 1) <4CDE85B1-CEAF-3EF9-ADB2-8A3D3FD5AAB4> /System/Library/PrivateFrameworks/CoreAnalytics.framework/Versions/A/CoreAnalytics
0x1a78ca000 -        0x1a78ccfff  libDiagnosticMessagesClient.dylib (112) <BD85EAE3-2614-3867-83D8-0DBE045856A2> /usr/lib/libDiagnosticMessagesClient.dylib
0x1a78cd000 -        0x1a7918fff  com.apple.spotlight.metadata.utilities (1.0 - 2150.7.2) <2A982B2F-4F96-31DB-89CC-37445DF62FDE> /System/Library/PrivateFrameworks/MetadataUtilities.framework/Versions/A/MetadataUtilities
0x1a7919000 -        0x1a79b2fff  com.apple.Metadata (10.7.0 - 2150.7.2) <FA920EDA-E34F-3C8F-9565-EA0695E8C371> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x1a79b3000 -        0x1a79b9fff  com.apple.DiskArbitration (2.7 - 2.7) <07975F48-4A37-3FD9-9DD2-3367AAE9D692> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x1a79ba000 -        0x1a7cd8fff  com.apple.vImage (8.1 - 544) <818B9B01-AA84-3D24-A04D-00EA8D66C14F> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x1a7cd9000 -        0x1a7f8bfff  com.apple.QuartzCore (1.11 - 925.5) <0FB3C46F-6DDF-3FDD-BF81-BF62A7553659> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x1a7f8c000 -        0x1a7fcefff  libFontRegistry.dylib (309) <6901EFA1-C468-3C81-96A6-8B173C0E9B2B> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
0x1a7fcf000 -        0x1a80e8fff  com.apple.coreui (2.1 - 689.4) <6B6F13C9-A49E-3B86-A23A-FE783177B980> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
0x1a80e9000 -        0x1a81c9fff  com.apple.ViewBridge (551.3 - 551.3) <4F02AAF6-773F-33B3-A881-8FE458C996B2> /System/Library/PrivateFrameworks/ViewBridge.framework/Versions/A/ViewBridge
0x1a81ca000 -        0x1a81d4fff  com.apple.PerformanceAnalysis (1.275 - 275) <8A942FDF-004C-373E-83A8-46D5F918B377> /System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis
0x1a81d5000 -        0x1a81e2fff  com.apple.OpenDirectory (11.1 - 230.40.1) <BF1D3476-D716-3AC4-8266-BF8E63A5F4C4> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
0x1a81e3000 -        0x1a8202fff  com.apple.CFOpenDirectory (11.1 - 230.40.1) <94AFB779-A06B-3AE4-8609-E9FDEF6DCF4E> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
0x1a8203000 -        0x1a820bfff  com.apple.CoreServices.FSEvents (1290.40.2 - 1290.40.2) <09DE727C-4BA5-33B7-9811-5F0CA5C86F31> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/FSEvents.framework/Versions/A/FSEvents
0x1a820c000 -        0x1a8230fff  com.apple.coreservices.SharedFileList (144 - 144) <44F30AE5-8DC1-3726-8D6E-8811972BDB60> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SharedFileList.framework/Versions/A/SharedFileList
0x1a8231000 -        0x1a8233fff  libapp_launch_measurement.dylib (14.1) <EE51FF2D-B44F-3027-92BA-42E0FDA6578C> /usr/lib/libapp_launch_measurement.dylib
0x1a8234000 -        0x1a8277fff  com.apple.CoreAutoLayout (1.0 - 21.10.1) <289ACB53-3AFD-3898-9867-BDD113D0F249> /System/Library/PrivateFrameworks/CoreAutoLayout.framework/Versions/A/CoreAutoLayout
0x1a8278000 -        0x1a8363fff  libxml2.2.dylib (34.8) <27B1CD43-A3F5-38D6-8AF5-B5F1977E5EA5> /usr/lib/libxml2.2.dylib
0x1a8364000 -        0x1a83b6fff  com.apple.CoreVideo (1.8 - 408.4) <B877220F-1199-3F9F-B00E-2DD96231D7DF> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x1a83b7000 -        0x1a83b9fff  com.apple.loginsupport (1.0 - 1) <08ABC43D-FFEE-3F47-804A-D2510D814E42> /System/Library/PrivateFrameworks/login.framework/Versions/A/Frameworks/loginsupport.framework/Versions/A/loginsupport
0x1a83e2000 -        0x1a8401fff  com.apple.UserManagement (1.0 - 1) <6B3CD796-2A5C-3613-BAC3-AA7BD125D26B> /System/Library/PrivateFrameworks/UserManagement.framework/Versions/A/UserManagement
0x1a91b0000 -        0x1a91c1fff  libsystem_containermanager.dylib (318.60.1) <165B6DCF-6B92-3EC9-84D3-98FBFAB26EA1> /usr/lib/system/libsystem_containermanager.dylib
0x1a91c2000 -        0x1a91d3fff  com.apple.IOSurface (289.3 - 289.3) <9FF9A9E1-CEE6-3B60-B906-9F841A8C458F> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
0x1a91d4000 -        0x1a91ddfff  com.apple.IOAccelerator (439.52 - 439.52) <A26D0961-8422-303E-A46E-F8DC600E4F98> /System/Library/PrivateFrameworks/IOAccelerator.framework/Versions/A/IOAccelerator
0x1a91de000 -        0x1a92d4fff  com.apple.Metal (244.32.7 - 244.32.7) <3184F3A5-FDB4-3D75-BA6E-DA1EB8BCF867> /System/Library/Frameworks/Metal.framework/Versions/A/Metal
0x1a92d5000 -        0x1a92f4fff  com.apple.audio.caulk (1.0 - 70) <3C740EA2-D7BA-31FA-9540-63E5E5F3A0F7> /System/Library/PrivateFrameworks/caulk.framework/Versions/A/caulk
0x1a92f5000 -        0x1a93ebfff  com.apple.CoreMedia (1.0 - 2760.6.4.6) <5F17C1F2-DF73-3C8A-B049-E270941A1196> /System/Library/Frameworks/CoreMedia.framework/Versions/A/CoreMedia
0x1a93ec000 -        0x1a9544fff  libFontParser.dylib (305.2.0.6) <C3FF494B-E873-3E1C-9481-60A5D00A12E3> /System/Library/PrivateFrameworks/FontServices.framework/libFontParser.dylib
0x1a9545000 -        0x1a9854fff  com.apple.HIToolbox (2.1.1 - 1060.4) <5D42A3EB-F109-386B-BA75-5F72E264A3B9> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x1a9855000 -        0x1a986cfff  com.apple.framework.DFRFoundation (1.0 - 265) <6F86CE64-F282-3F37-BCE4-9E5A38449A9D> /System/Library/PrivateFrameworks/DFRFoundation.framework/Versions/A/DFRFoundation
0x1a986d000 -        0x1a9870fff  com.apple.dt.XCTTargetBootstrap (1.0 - 17500) <AE6F2D6D-A031-3F81-B05A-0B67AD3F502D> /System/Library/PrivateFrameworks/XCTTargetBootstrap.framework/Versions/A/XCTTargetBootstrap
0x1a9871000 -        0x1a989bfff  com.apple.CoreSVG (1.0 - 149) <5FD325DB-4A8C-32E2-B1B6-FAB9C8DD2DCC> /System/Library/PrivateFrameworks/CoreSVG.framework/Versions/A/CoreSVG
0x1a989c000 -        0x1a9ab9fff  com.apple.ImageIO (3.3.0 - 2130.2.7) <3B7DCBB0-0493-3818-A156-ACCB65E66323> /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x1a9aba000 -        0x1a9ddafff  com.apple.CoreImage (16.1.0 - 1120.10) <8CC24666-D076-36FD-91F1-C083087D5D51> /System/Library/Frameworks/CoreImage.framework/Versions/A/CoreImage
0x1a9ddb000 -        0x1a9e32fff  com.apple.MetalPerformanceShaders.MPSCore (1.0 - 1) <CF0159EB-938F-3F20-AF71-D8DFB502D71A> /System/Library/Frameworks/MetalPerformanceShaders.framework/Versions/A/Frameworks/MPSCore.framework/Versions/A/MPSCore
0x1a9e33000 -        0x1a9e37fff  libsystem_configuration.dylib (1109.60.2) <5D4DB975-F8DC-3B07-8F2B-4054CCA4B9B6> /usr/lib/system/libsystem_configuration.dylib
0x1a9e38000 -        0x1a9e3cfff  libsystem_sandbox.dylib (1441.60.4) <0EE4CE47-4715-3EE3-93CA-F4863FE29A5C> /usr/lib/system/libsystem_sandbox.dylib
0x1a9e3d000 -        0x1a9e3efff  com.apple.AggregateDictionary (1.0 - 1) <38AB1AE3-0555-343B-85BB-AE9E529D9E91> /System/Library/PrivateFrameworks/AggregateDictionary.framework/Versions/A/AggregateDictionary
0x1a9e3f000 -        0x1a9e42fff  com.apple.AppleSystemInfo (3.1.5 - 3.1.5) <4E760B95-F152-3D6C-A879-941D7F7046F3> /System/Library/PrivateFrameworks/AppleSystemInfo.framework/Versions/A/AppleSystemInfo
0x1a9e43000 -        0x1a9e44fff  liblangid.dylib (136) <9BC69285-920A-3469-BDCC-3EE821704AE0> /usr/lib/liblangid.dylib
0x1a9e45000 -        0x1a9ed3fff  com.apple.CoreNLP (1.0 - 245) <1015A6D8-5D99-3CB3-AC48-55F053134704> /System/Library/PrivateFrameworks/CoreNLP.framework/Versions/A/CoreNLP
0x1a9ed4000 -        0x1a9edbfff  com.apple.LinguisticData (1.0 - 399) <0C2C6A0B-352B-3A10-9A64-7A467BC0619F> /System/Library/PrivateFrameworks/LinguisticData.framework/Versions/A/LinguisticData
0x1a9edc000 -        0x1aa390fff  libBNNS.dylib (288.60.2) <A4896748-ACA6-3491-842E-59A6E1A386DF> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBNNS.dylib
0x1aa391000 -        0x1aa443fff  libvDSP.dylib (760.40.6) <C9471CC1-5622-390D-A38A-F730A17924C4> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x1aa444000 -        0x1aa456fff  com.apple.CoreEmoji (1.0 - 128) <4790C8CE-AD87-3F74-9721-4A3F931E6B5D> /System/Library/PrivateFrameworks/CoreEmoji.framework/Versions/A/CoreEmoji
0x1aa457000 -        0x1aa461fff  com.apple.IOMobileFramebuffer (343.0.0 - 343.0.0) <761968D8-6440-381D-AA1E-A01B10F5766E> /System/Library/PrivateFrameworks/IOMobileFramebuffer.framework/Versions/A/IOMobileFramebuffer
0x1aa462000 -        0x1aa52dfff  com.apple.framework.CoreWLAN (16.0 - 1657) <CA1BD1AF-D57A-3B06-97B1-0AC71F439685> /System/Library/Frameworks/CoreWLAN.framework/Versions/A/CoreWLAN
0x1aa52e000 -        0x1aa72dfff  com.apple.CoreUtils (6.5 - 650.5) <6A28B5ED-404A-3179-8B43-D1210BDEB176> /System/Library/PrivateFrameworks/CoreUtils.framework/Versions/A/CoreUtils
0x1aa72e000 -        0x1aa750fff  com.apple.MobileKeyBag (2.0 - 1.0) <E5430E72-A4F5-3E0E-80FE-D18010F58F6E> /System/Library/PrivateFrameworks/MobileKeyBag.framework/Versions/A/MobileKeyBag
0x1aa751000 -        0x1aa760fff  com.apple.AssertionServices (1.0 - 505.60.2) <1CD9B6A5-00E1-3A26-A389-E1D93B077876> /System/Library/PrivateFrameworks/AssertionServices.framework/Versions/A/AssertionServices
0x1aa761000 -        0x1aa7e6fff  com.apple.securityfoundation (6.0 - 55240.40.4) <B74FE7B0-C339-3483-95F8-B219820F5540> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
0x1aa7e7000 -        0x1aa7f0fff  com.apple.coreservices.BackgroundTaskManagement (1.0 - 104) <42AFCFE1-F6F3-30D4-A278-FF43847F5733> /System/Library/PrivateFrameworks/BackgroundTaskManagement.framework/Versions/A/BackgroundTaskManagement
0x1aa7f1000 -        0x1aa7f6fff  com.apple.xpc.ServiceManagement (1.0 - 1) <F21342A9-E6E0-3535-B40B-96E62A27ADA3> /System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement
0x1aa7f7000 -        0x1aa7f9fff  libquarantine.dylib (119.40.2) <C55DCBDE-51FF-3D90-AF78-9BE9F8FC8DD6> /usr/lib/system/libquarantine.dylib
0x1aa7fa000 -        0x1aa809fff  libCheckFix.dylib (31) <A9A06358-3C31-30B8-89BF-02C7274E686B> /usr/lib/libCheckFix.dylib
0x1aa80a000 -        0x1aa820fff  libcoretls.dylib (169) <CBE8AF33-CAFF-36F8-B36A-B8F3ACCC0D05> /usr/lib/libcoretls.dylib
0x1aa821000 -        0x1aa831fff  libbsm.0.dylib (68.40.1) <A42FE2FA-6D61-3A6B-BC18-D81CF9EEC26E> /usr/lib/libbsm.0.dylib
0x1aa832000 -        0x1aa876fff  libmecab.dylib (929.1.1) <022FB4B7-EDB7-3637-9E32-57EDF231EFBD> /usr/lib/libmecab.dylib
0x1aa877000 -        0x1aa87bfff  libgermantok.dylib (24) <DAD2668B-A6FD-34C9-8AEE-A2CFBD4305B9> /usr/lib/libgermantok.dylib
0x1aa87c000 -        0x1aa891fff  libLinearAlgebra.dylib (1336.40.1) <EF07960C-DBF1-34A0-9F03-E8969D4BA4E8> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLinearAlgebra.dylib
0x1aa892000 -        0x1aaa95fff  com.apple.MetalPerformanceShaders.MPSNeuralNetwork (1.0 - 1) <4193E38D-0646-36C8-AD8B-E5F22A68846D> /System/Library/Frameworks/MetalPerformanceShaders.framework/Versions/A/Frameworks/MPSNeuralNetwork.framework/Versions/A/MPSNeuralNetwork
0x1aaa96000 -        0x1aaadffff  com.apple.MetalPerformanceShaders.MPSRayIntersector (1.0 - 1) <B27589D3-909F-3C86-8597-762ED8052082> /System/Library/Frameworks/MetalPerformanceShaders.framework/Versions/A/Frameworks/MPSRayIntersector.framework/Versions/A/MPSRayIntersector
0x1aaae0000 -        0x1aac1afff  com.apple.MLCompute (1.0 - 1) <CD745414-6E80-3BCD-9EFE-CE192AC0AEB4> /System/Library/Frameworks/MLCompute.framework/Versions/A/MLCompute
0x1aac1b000 -        0x1aac49fff  com.apple.MetalPerformanceShaders.MPSMatrix (1.0 - 1) <5867536B-0869-3ED4-AB5D-60E0FD9BFE70> /System/Library/Frameworks/MetalPerformanceShaders.framework/Versions/A/Frameworks/MPSMatrix.framework/Versions/A/MPSMatrix
0x1aac4a000 -        0x1aac85fff  com.apple.MetalPerformanceShaders.MPSNDArray (1.0 - 1) <08BD5CCA-0485-3C1F-A3E0-5C1A2058E533> /System/Library/Frameworks/MetalPerformanceShaders.framework/Versions/A/Frameworks/MPSNDArray.framework/Versions/A/MPSNDArray
0x1aac86000 -        0x1aad10fff  com.apple.MetalPerformanceShaders.MPSImage (1.0 - 1) <24F9DB17-EB5E-3AA9-A15C-B0DBCC5A8991> /System/Library/Frameworks/MetalPerformanceShaders.framework/Versions/A/Frameworks/MPSImage.framework/Versions/A/MPSImage
0x1aad11000 -        0x1aad20fff  com.apple.AppleFSCompression (125 - 1.0) <D5F93E39-B11F-3862-93CD-BB162E078EB9> /System/Library/PrivateFrameworks/AppleFSCompression.framework/Versions/A/AppleFSCompression
0x1aad21000 -        0x1aad2dfff  libbz2.1.0.dylib (44) <78DA9846-BC91-3FEF-BCAE-DA445E2F4007> /usr/lib/libbz2.1.0.dylib
0x1aad2e000 -        0x1aad32fff  libsystem_coreservices.dylib (127) <1F4E0C2D-9A82-3E3F-B546-1F23A3B180B5> /usr/lib/system/libsystem_coreservices.dylib
0x1aad33000 -        0x1aad63fff  com.apple.CoreServices.OSServices (1122.11 - 1122.11) <EFFA0C4E-A0C1-3970-BE40-A0A46A35C180> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x1aad64000 -        0x1aae79fff  com.apple.AuthKit (1.0 - 1) <6C08E7C4-862E-36F7-B8B0-6A7BC9B010AA> /System/Library/PrivateFrameworks/AuthKit.framework/Versions/A/AuthKit
0x1aaf21000 -        0x1aaf32fff  libz.1.dylib (76) <5EA0F5F6-7974-3DF8-9862-CE916C5EC980> /usr/lib/libz.1.dylib
0x1aaf33000 -        0x1aaf60fff  libsystem_m.dylib (3186.40.2) <129930A8-F06B-3AD4-BA84-21549591F87A> /usr/lib/system/libsystem_m.dylib
0x1aaf61000 -        0x1aaf61fff  libcharset.1.dylib (59) <DF7E5E0B-8534-3D78-96D4-519E0F22DD02> /usr/lib/libcharset.1.dylib
0x1aaf62000 -        0x1aaf67fff  libmacho.dylib (973.4) <29AD4E0E-F6A4-313F-AFA3-825CA94917BD> /usr/lib/system/libmacho.dylib
0x1aaf68000 -        0x1aaf83fff  libkxld.dylib (7195.60.75) <8BEBE228-8A15-383D-8E30-A20B2E2082B5> /usr/lib/system/libkxld.dylib
0x1aaf84000 -        0x1aaf91fff  libcommonCrypto.dylib (60178.40.2) <FEDF1785-B89A-3EFB-B95E-467645AC6113> /usr/lib/system/libcommonCrypto.dylib
0x1aaf92000 -        0x1aaf9cfff  libunwind.dylib (200.10) <21A28401-C508-38BE-A7CF-C2A56AB3C311> /usr/lib/system/libunwind.dylib
0x1aaf9d000 -        0x1aafa4fff  liboah.dylib (203.13.2) <F36DDACF-B46B-3813-8ADE-A275209588BF> /usr/lib/liboah.dylib
0x1aafa5000 -        0x1aafadfff  libcopyfile.dylib (173.40.2) <8AE5EFE8-BBA5-380B-9165-D350CD7EA3CE> /usr/lib/system/libcopyfile.dylib
0x1aafae000 -        0x1aafb1fff  libcompiler_rt.dylib (102.2) <39A3467E-CBED-3C4A-B0BC-39C0093842E9> /usr/lib/system/libcompiler_rt.dylib
0x1aafb2000 -        0x1aafb4fff  libsystem_collections.dylib (1439.40.11) <5EEC397D-2CAA-39D1-8B82-6370E633FDC9> /usr/lib/system/libsystem_collections.dylib
0x1aafb5000 -        0x1aafb7fff  libsystem_secinit.dylib (87.60.1) <04EF7D20-ABBD-3DB1-B990-278887044735> /usr/lib/system/libsystem_secinit.dylib
0x1aafb8000 -        0x1aafbafff  libremovefile.dylib (49.40.3) <8FAF9121-D546-3319-B366-1C50BAF59FE8> /usr/lib/system/libremovefile.dylib
0x1aafbb000 -        0x1aafbbfff  libkeymgr.dylib (31) <3EF55D83-6DD4-376B-8C0B-5B12CD0D3D94> /usr/lib/system/libkeymgr.dylib
0x1aafbc000 -        0x1aafc4fff  libsystem_dnssd.dylib (1310.60.4) <E498E2D5-BD16-3458-AF9C-B4EE888935CB> /usr/lib/system/libsystem_dnssd.dylib
0x1aafc5000 -        0x1aafcafff  libcache.dylib (83) <BF1D536B-540F-374E-BA7B-EB2429F334CD> /usr/lib/system/libcache.dylib
0x1aafcb000 -        0x1aafccfff  libSystem.B.dylib (1292.60.1) <03EDCD03-5B2F-353E-BD06-6313B8279E9C> /usr/lib/libSystem.B.dylib
0x1aafcd000 -        0x1aafd0fff  libfakelink.dylib (3) <B5AF719C-EC9A-3714-9E29-65FA0920BFE4> /usr/lib/libfakelink.dylib
0x1aafd1000 -        0x1aafd1fff  com.apple.SoftLinking (1.0 - 1) <DD7C1F9C-6512-35D2-9391-450628D67E19> /System/Library/PrivateFrameworks/SoftLinking.framework/Versions/A/SoftLinking
0x1aafd2000 -        0x1ab00cfff  libpcap.A.dylib (98.40.1) <8056A56E-73C0-36F1-849E-262FD7C33550> /usr/lib/libpcap.A.dylib
0x1ab00d000 -        0x1ab0fffff  libiconv.2.dylib (59) <B745BF03-D15C-3B71-9774-894201EC76CF> /usr/lib/libiconv.2.dylib
0x1ab100000 -        0x1ab115fff  libcmph.dylib (8) <1B539AD1-EB4E-3E4E-9936-A8FF9F3D65B9> /usr/lib/libcmph.dylib
0x1ab116000 -        0x1ab186fff  libarchive.2.dylib (83.40.4) <5CBBFEF0-AE9F-3967-B916-68EEC897969D> /usr/lib/libarchive.2.dylib
0x1ab187000 -        0x1ab1f7fff  com.apple.SearchKit (1.4.1 - 1.4.1) <7A1F87D4-B5D2-3F0D-B732-FA696B45B882> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x1ab1f8000 -        0x1ab1f9fff  libThaiTokenizer.dylib (3) <74A6D3FA-8A99-3303-9A8B-26620CC232AE> /usr/lib/libThaiTokenizer.dylib
0x1ab1fa000 -        0x1ab21efff  com.apple.applesauce (1.0 - 16.26) <F38BC353-F9A4-3762-AEF4-DA4692FE80B6> /System/Library/PrivateFrameworks/AppleSauce.framework/Versions/A/AppleSauce
0x1ab21f000 -        0x1ab235fff  libapple_nghttp2.dylib (1.41) <7ABA6797-C912-3F49-BCA5-2405D30BEAF9> /usr/lib/libapple_nghttp2.dylib
0x1ab236000 -        0x1ab247fff  libSparseBLAS.dylib (1336.40.1) <147B4C34-5369-39C6-99A3-559800DB28A5> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparseBLAS.dylib
0x1ab248000 -        0x1ab249fff  com.apple.MetalPerformanceShaders.MetalPerformanceShaders (1.0 - 1) <B22701AF-CE19-3635-AF1D-FB69EB0E6A7C> /System/Library/Frameworks/MetalPerformanceShaders.framework/Versions/A/MetalPerformanceShaders
0x1ab24a000 -        0x1ab24efff  libpam.2.dylib (28.40.1) <0BFA77F1-A62A-356C-B901-3D158E1B7E95> /usr/lib/libpam.2.dylib
0x1ab24f000 -        0x1ab266fff  libcompression.dylib (96.40.6) <A01701F6-D89C-3E89-B429-79DB81426F12> /usr/lib/libcompression.dylib
0x1ab267000 -        0x1ab26bfff  libQuadrature.dylib (7) <B2DD0691-70A9-3EE4-A5DC-D2FFFE71ECC5> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libQuadrature.dylib
0x1ab26c000 -        0x1ab716fff  libLAPACK.dylib (1336.40.1) <E94DE514-61CA-3C60-B3D7-C9257223FDA5> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x1ab717000 -        0x1ab768fff  com.apple.DictionaryServices (1.2 - 341) <0B2A9791-DAE5-3D19-B10E-834F807455DE> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x1ab769000 -        0x1ab781fff  liblzma.5.dylib (16) <2F09739A-498C-39D9-823E-BA62312F540E> /usr/lib/liblzma.5.dylib
0x1ab782000 -        0x1ab783fff  libcoretls_cfhelpers.dylib (169) <15F18276-CC9C-3822-97F0-0C5B6F33B145> /usr/lib/libcoretls_cfhelpers.dylib
0x1ab784000 -        0x1ab86afff  com.apple.APFS (1677.60.23 - 1677.60.23) <39013AA0-2845-349F-A323-9D7BC3B74C2D> /System/Library/PrivateFrameworks/APFS.framework/Versions/A/APFS
0x1ab86b000 -        0x1ab878fff  libxar.1.dylib (452) <01CD3C4E-C3F8-3CDB-B4CF-2F59B236C0B9> /usr/lib/libxar.1.dylib
0x1ab879000 -        0x1ab87cfff  libutil.dylib (58.40.2) <857F5F7E-6554-3F68-AC00-B2F2E43B4249> /usr/lib/libutil.dylib
0x1ab87d000 -        0x1ab8a6fff  libxslt.1.dylib (17.2) <AAC88056-759F-32E3-8388-D9FF2EB55B61> /usr/lib/libxslt.1.dylib
0x1ab8a7000 -        0x1ab8b1fff  libChineseTokenizer.dylib (37) <F24F3F8F-9D4A-38BD-951E-8C9F19037DBB> /usr/lib/libChineseTokenizer.dylib
0x1ab8b2000 -        0x1ab926fff  libvMisc.dylib (760.40.6) <48EB6D40-7B0D-3CB0-9F4D-1481ABB81222> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x1ab927000 -        0x1ab9b8fff  libate.dylib (3.0.4) <942482F9-681B-3238-9849-D9C02457D978> /usr/lib/libate.dylib
0x1ab9b9000 -        0x1ab9c0fff  libIOReport.dylib (64) <A7FF0874-7F11-3BEC-A602-1E85F832832B> /usr/lib/libIOReport.dylib
0x1ab9c1000 -        0x1ab9edfff  com.apple.CrashReporterSupport (10.13 - 15047) <10E95DD9-8005-3495-93C0-6A0FB36A97E5> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
0x1abad4000 -        0x1abadbfff  libMatch.1.dylib (38) <373E5F26-615E-356B-AC28-70EA9204AF22> /usr/lib/libMatch.1.dylib
0x1abadc000 -        0x1abb5ffff  libCoreStorage.dylib (554) <7C857783-8F9D-3ED6-9234-47E608A2DDD0> /usr/lib/libCoreStorage.dylib
0x1abb60000 -        0x1abbabfff  com.apple.AppleVAFramework (6.1.3 - 6.1.3) <AB0B7ABC-9FD1-3476-A16A-35F6501D1540> /System/Library/PrivateFrameworks/AppleVA.framework/Versions/A/AppleVA
0x1abbac000 -        0x1abbc5fff  libexpat.1.dylib (26) <8B917E86-B3FC-3B18-9DD2-4D157E77320B> /usr/lib/libexpat.1.dylib
0x1abbc6000 -        0x1abbcffff  libheimdal-asn1.dylib (597.40.10) <08B0980A-F6E1-3B41-81D5-8C4A7566F55D> /usr/lib/libheimdal-asn1.dylib
0x1abbd0000 -        0x1abbe2fff  com.apple.IconFoundation (479.3 - 479.3) <D62CCE4A-04DE-3DC9-92A1-B6196B3891E8> /System/Library/PrivateFrameworks/IconFoundation.framework/Versions/A/IconFoundation
0x1abbe3000 -        0x1abc49fff  com.apple.IconServices (479.3 - 479.3) <FC2A8690-F2D4-3EA3-869C-E685C2BCE873> /System/Library/PrivateFrameworks/IconServices.framework/Versions/A/IconServices
0x1abc4a000 -        0x1abcedfff  com.apple.MediaExperience (1.0 - 1) <F794A130-19C3-34F4-8678-016A36509465> /System/Library/PrivateFrameworks/MediaExperience.framework/Versions/A/MediaExperience
0x1abcee000 -        0x1abd14fff  com.apple.persistentconnection (1.0 - 1.0) <D423D474-AB61-3F4E-9508-ED25B9E12012> /System/Library/PrivateFrameworks/PersistentConnection.framework/Versions/A/PersistentConnection
0x1abd15000 -        0x1abd22fff  com.apple.GraphVisualizer (1.0 - 100.1) <4C8E4148-A718-392A-B617-787534895649> /System/Library/PrivateFrameworks/GraphVisualizer.framework/Versions/A/GraphVisualizer
0x1abd23000 -        0x1ac135fff  com.apple.vision.FaceCore (4.3.2 - 4.3.2) <E5805F32-080F-3690-9D51-918C266A3E8E> /System/Library/PrivateFrameworks/FaceCore.framework/Versions/A/FaceCore
0x1ac136000 -        0x1ac177fff  com.apple.OTSVG (1.0 - 677.2.0.5) <7850AA94-4208-3CF7-8CC0-4889F36AB01D> /System/Library/PrivateFrameworks/OTSVG.framework/Versions/A/OTSVG
0x1ac178000 -        0x1ac17ffff  com.apple.xpc.AppServerSupport (1.0 - 2038.40.38) <911AB008-23FE-3134-B433-0321073F0BDC> /System/Library/PrivateFrameworks/AppServerSupport.framework/Versions/A/AppServerSupport
0x1ac180000 -        0x1ac18efff  libhvf.dylib (1.0 - $[CURRENT_PROJECT_VERSION]) <145974E6-1A9C-3481-A55E-529E84F0CD94> /System/Library/PrivateFrameworks/FontServices.framework/libhvf.dylib
0x1ac18f000 -        0x1ac191fff  libspindump.dylib (295) <52B9391B-7757-3A44-B435-E8A640F3B505> /usr/lib/libspindump.dylib
0x1ac192000 -        0x1ac246fff  com.apple.Heimdal (4.0 - 2.0) <8B0D70D0-3C4C-3A1E-B55C-C2F2AF0C5F32> /System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
0x1ac247000 -        0x1ac261fff  com.apple.login (3.0 - 3.0) <E74E590C-66D8-303D-9162-976BFFA449A0> /System/Library/PrivateFrameworks/login.framework/Versions/A/login
0x1ac3d5000 -        0x1ac3d8fff  libodfde.dylib (26) <4FF6481B-3170-3FA4-8FAB-C5C4D9350B64> /usr/lib/libodfde.dylib
0x1ac3d9000 -        0x1ac438fff  com.apple.bom (14.0 - 233) <DCDA5BE2-828A-3CC7-8801-8E0ECDF3DCE4> /System/Library/PrivateFrameworks/Bom.framework/Versions/A/Bom
0x1ac439000 -        0x1ac47cfff  com.apple.AppleJPEG (1.0 - 1) <1FC15817-A4AF-39EC-83DB-7EF49DCC49EE> /System/Library/PrivateFrameworks/AppleJPEG.framework/Versions/A/AppleJPEG
0x1ac47d000 -        0x1ac561fff  libJP2.dylib (2130.2.7) <D8C55474-A9B6-3B5E-A7BC-98CC57204F7C> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
0x1ac562000 -        0x1ac565fff  com.apple.WatchdogClient.framework (1.0 - 98.60.1) <E800B674-7E5F-36DB-8461-E0B08D3F8594> /System/Library/PrivateFrameworks/WatchdogClient.framework/Versions/A/WatchdogClient
0x1ac566000 -        0x1ac59afff  com.apple.MultitouchSupport.framework (4400.28 - 4400.28) <79604DF8-4953-3B82-B118-7D4797A5E1BD> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
0x1ac59b000 -        0x1ac6c0fff  com.apple.VideoToolbox (1.0 - 2760.6.4.6) <7225282B-0656-37B2-8A61-DC1D4B005000> /System/Library/Frameworks/VideoToolbox.framework/Versions/A/VideoToolbox
0x1ac6c1000 -        0x1ac6f3fff  libAudioToolboxUtility.dylib (1180.23) <7AE3473A-AC33-34E8-B2A1-28CBB86BD302> /usr/lib/libAudioToolboxUtility.dylib
0x1ac6f4000 -        0x1ac71afff  libPng.dylib (2130.2.7) <7E71956F-03EA-383D-A481-C5F233865CD7> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x1ac71b000 -        0x1ac775fff  libTIFF.dylib (2130.2.7) <725BCDFF-8637-3FFC-93D1-FCA7E0C2CE4A> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x1ac776000 -        0x1ac792fff  com.apple.IOPresentment (53 - 37) <F4CC2ABF-FAAD-3F34-9CB9-A012C9C1E387> /System/Library/PrivateFrameworks/IOPresentment.framework/Versions/A/IOPresentment
0x1ac793000 -        0x1ac797fff  com.apple.GPUWrangler (6.2.2 - 6.2.2) <FD5B24DE-DFDE-3FCE-AED6-6C49C0FD12A9> /System/Library/PrivateFrameworks/GPUWrangler.framework/Versions/A/GPUWrangler
0x1ac798000 -        0x1ac79afff  libRadiance.dylib (2130.2.7) <635C3E69-E2B0-31E3-B004-A5FF0F5E9A7B> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x1ac79b000 -        0x1ac7a0fff  com.apple.DSExternalDisplay (3.1 - 380) <56A2B5E6-B0B0-3F89-AD12-9EC961231366> /System/Library/PrivateFrameworks/DSExternalDisplay.framework/Versions/A/DSExternalDisplay
0x1ac7a1000 -        0x1ac7c1fff  libJPEG.dylib (2130.2.7) <7E5DE231-8044-311C-AB96-788C1AA406CA> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x1ac7c2000 -        0x1ac7f1fff  com.apple.ATSUI (1.0 - 1) <9E776419-229D-30CC-AD40-193F29B2C670> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATSUI.framework/Versions/A/ATSUI
0x1ac7f2000 -        0x1ac7f6fff  libGIF.dylib (2130.2.7) <127658D4-6452-38A2-808E-161086C94C47> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x1ac7f7000 -        0x1ac800fff  com.apple.CMCaptureCore (1.0 - 80.17.1.1) <A89879A4-F679-3168-A50A-8F83FBE3184C> /System/Library/PrivateFrameworks/CMCaptureCore.framework/Versions/A/CMCaptureCore
0x1ac801000 -        0x1ac848fff  com.apple.print.framework.PrintCore (16 - 531) <456F8F80-DDEC-397C-B43C-EE799ECDA3F7> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x1ac849000 -        0x1ac8fdfff  com.apple.TextureIO (3.10.9 - 3.10.9) <D54C961C-800D-3309-8E90-1EB8EF470CD9> /System/Library/PrivateFrameworks/TextureIO.framework/Versions/A/TextureIO
0x1ac8fe000 -        0x1ac906fff  com.apple.InternationalSupport (1.0 - 60) <55754151-4F79-342F-8D91-53A16E9E83B8> /System/Library/PrivateFrameworks/InternationalSupport.framework/Versions/A/InternationalSupport
0x1ac907000 -        0x1ac97bfff  com.apple.datadetectorscore (8.0 - 674) <44607BEB-812C-3152-AFE6-51C960D15D12> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
0x1ac97c000 -        0x1ac9dcfff  com.apple.UserActivity (435 - 435) <33EC085E-4106-3662-9FBE-6D3687ABFF34> /System/Library/PrivateFrameworks/UserActivity.framework/Versions/A/UserActivity
0x1ac9dd000 -        0x1ad145fff  com.apple.MediaToolbox (1.0 - 2760.6.4.6) <CAC6C96D-68F9-3462-AD23-5ABB7381A091> /System/Library/Frameworks/MediaToolbox.framework/Versions/A/MediaToolbox
0x1ad679000 -        0x1ad6aefff  libSessionUtility.dylib (76.7) <55B76612-B425-3BC5-B828-900FE52745A3> /System/Library/PrivateFrameworks/AudioSession.framework/libSessionUtility.dylib
0x1ad6af000 -        0x1ad7d3fff  com.apple.audio.toolbox.AudioToolbox (1.14 - 1.14) <2A0EA878-17A0-3D13-9FE0-D3AB09DD5187> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x1ad7d4000 -        0x1ad83dfff  com.apple.audio.AudioSession (1.0 - 76.7) <BDC23BAB-CFE3-32DB-B8AF-C240056C6DF3> /System/Library/PrivateFrameworks/AudioSession.framework/Versions/A/AudioSession
0x1ad83e000 -        0x1ad850fff  libAudioStatistics.dylib (25.1) <E02FB648-3DFA-349C-9F5C-FECCF8E99A1C> /usr/lib/libAudioStatistics.dylib
0x1ad851000 -        0x1ad864fff  com.apple.speech.synthesis.framework (9.0.51 - 9.0.51) <2205CF41-DFC6-325B-B2A7-EBB0DD2F73BE> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x1ad865000 -        0x1ad8d2fff  com.apple.ApplicationServices.ATS (377 - 516) <D4C1DA84-5F74-3CB6-97A9-46C6E91BA974> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x1ad8d3000 -        0x1ad8ebfff  libresolv.9.dylib (68) <62492883-5FA7-39E0-ADED-F0788266FFD2> /usr/lib/libresolv.9.dylib
0x1ad8ec000 -        0x1ad8fffff  libsasl2.2.dylib (214) <18D55C2F-B0DE-3EC4-9AA6-963970D47DCA> /usr/lib/libsasl2.2.dylib
0x1ada13000 -        0x1adaf2fff  libSMC.dylib (20) <10AD3F44-AD41-3294-A9B0-3AF86ADF456C> /usr/lib/libSMC.dylib
0x1adaf3000 -        0x1adb53fff  libcups.2.dylib (494.1) <C2CD4DBE-13B4-3D93-902B-D88C4B60A628> /usr/lib/libcups.2.dylib
0x1adb54000 -        0x1adb63fff  com.apple.LangAnalysis (1.7.0 - 254) <10918D61-B681-339C-A380-89F3B66D7232> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x1adb64000 -        0x1adb70fff  com.apple.NetAuth (6.2 - 6.2) <06B8BA21-FA96-377F-89ED-56B6FBB54193> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
0x1adb71000 -        0x1adb78fff  com.apple.ColorSyncLegacy (4.13.0 - 1) <B7489608-9E2E-32D3-A745-DB1FFDF85600> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSyncLegacy.framework/Versions/A/ColorSyncLegacy
0x1adb79000 -        0x1adb84fff  com.apple.QD (4.0 - 416) <B1EE6F13-A80F-3DED-AE1B-DAEEB0FD7F2A> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x1adb85000 -        0x1ae18bfff  com.apple.audio.AudioResourceArbitration (1.0 - 1) <7D03969A-C2B0-30C9-AAAD-F530C2777D77> /System/Library/PrivateFrameworks/AudioResourceArbitration.framework/Versions/A/AudioResourceArbitration
0x1ae18c000 -        0x1ae197fff  com.apple.perfdata (1.0 - 67.40.1) <E6DD9E16-3FDF-36F7-AB71-6193DFD7A2C2> /System/Library/PrivateFrameworks/perfdata.framework/Versions/A/perfdata
0x1ae198000 -        0x1ae1a6fff  libperfcheck.dylib (41) <FFAF5096-29A0-32D7-9503-330BE86BA903> /usr/lib/libperfcheck.dylib
0x1ae1a7000 -        0x1ae1b7fff  com.apple.Kerberos (3.0 - 1) <228A8531-187C-3222-A570-2AC0F24A1ECE> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x1ae1b8000 -        0x1ae200fff  com.apple.GSS (4.0 - 2.0) <6A6552F1-C125-3404-8984-7B40C0579C14> /System/Library/Frameworks/GSS.framework/Versions/A/GSS
0x1ae201000 -        0x1ae210fff  com.apple.CommonAuth (4.0 - 2.0) <40640305-7C1A-3E9F-B304-38376416EEA4> /System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth
0x1ae211000 -        0x1ae238fff  com.apple.MobileAssets (1.0 - 659.60.1) <55ACE18E-8A21-3407-95B3-D53A3C38F0BF> /System/Library/PrivateFrameworks/MobileAsset.framework/Versions/A/MobileAsset
0x1ae265000 -        0x1ae286fff  com.apple.security.KeychainCircle.KeychainCircle (1.0 - 1) <4AA42633-FA6B-3029-9373-3C791C2AA7BC> /System/Library/PrivateFrameworks/KeychainCircle.framework/Versions/A/KeychainCircle
0x1ae287000 -        0x1ae28ffff  com.apple.CorePhoneNumbers (1.0 - 1) <1D5F5EF2-789C-36F5-A115-BB140EEBBF59> /System/Library/PrivateFrameworks/CorePhoneNumbers.framework/Versions/A/CorePhoneNumbers
0x1ae3dd000 -        0x1ae3ddfff  liblaunch.dylib (2038.40.38) <A42FB952-AEBC-335F-8336-751E963F09F4> /usr/lib/system/liblaunch.dylib
0x1aebb2000 -        0x1aeceffff  com.apple.Sharing (1575 - 1575) <41777B8B-4817-3B84-9EDF-8BEE1E717456> /System/Library/PrivateFrameworks/Sharing.framework/Versions/A/Sharing
0x1aecf0000 -        0x1aede7fff  com.apple.Bluetooth (8.0.2 - 8.0.2f9) <747DC141-C975-30BC-98E0-CB43EF17018C> /System/Library/Frameworks/IOBluetooth.framework/Versions/A/IOBluetooth
0x1aede8000 -        0x1aedfbfff  com.apple.AppContainer (4.0 - 509.60.2) <278D1395-238B-31CD-A636-30B1F7D0CFF1> /System/Library/PrivateFrameworks/AppContainer.framework/Versions/A/AppContainer
0x1aedfc000 -        0x1aedfffff  com.apple.SecCodeWrapper (4.0 - 509.60.2) <1062A2DA-BEA8-3C8F-A008-A30AF251489D> /System/Library/PrivateFrameworks/SecCodeWrapper.framework/Versions/A/SecCodeWrapper
0x1aee00000 -        0x1aee58fff  com.apple.ProtectedCloudStorage (1.0 - 1) <C2875C59-B7D4-360A-A2AF-4CE27686AE90> /System/Library/PrivateFrameworks/ProtectedCloudStorage.framework/Versions/A/ProtectedCloudStorage
0x1b0614000 -        0x1b061ffff  com.apple.DirectoryService.Framework (11.1 - 230.40.1) <0526A0E4-E8A5-3C90-8D3F-F6ED91B1581A> /System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService
0x1b0620000 -        0x1b0647fff  com.apple.RemoteViewServices (2.0 - 163) <351E4523-E99A-3849-88A1-96072B599D5C> /System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices
0x1b0648000 -        0x1b0657fff  com.apple.SpeechRecognitionCore (6.1.12 - 6.1.12) <D692FAF5-0245-3883-8DF3-7655E881BF00> /System/Library/PrivateFrameworks/SpeechRecognitionCore.framework/Versions/A/SpeechRecognitionCore
0x1b0658000 -        0x1b065ffff  com.apple.speech.recognition.framework (6.0.3 - 6.0.3) <9DC7A28A-4E40-35EE-83DC-FCE5261B3630> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x1b08a0000 -        0x1b08a0fff  libsystem_product_info_filter.dylib (8.40.1) <BF4F283D-1B0C-3A5A-8DAC-CFB3096CEDB4> /usr/lib/system/libsystem_product_info_filter.dylib
0x1b0979000 -        0x1b0979fff  com.apple.Accelerate.vecLib (3.11 - vecLib 3.11) <7C0FF713-FC2B-3857-B278-119FF3DC693F> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x1b09a0000 -        0x1b09a0fff  com.apple.CoreServices (1122.11 - 1122.11) <797631B9-00AA-354E-8B87-E753665B6CCF> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x1b0c5a000 -        0x1b0c5afff  com.apple.Accelerate (1.11 - Accelerate 1.11) <C114DE30-B4F9-36A6-B7FC-AF43156C4401> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x1b0c9e000 -        0x1b0caafff  com.apple.MediaAccessibility (1.0 - 130) <4B386CC2-EA1A-38DA-9335-30B39FF7A57D> /System/Library/Frameworks/MediaAccessibility.framework/Versions/A/MediaAccessibility
0x1b0cab000 -        0x1b0ccafff  com.apple.networking.AlgosScoreFramework (1.0 - 1) <E6B7542F-8ACA-31B7-AE19-D2299D379BC1> /System/Library/PrivateFrameworks/AlgosScoreFramework.framework/Versions/A/AlgosScoreFramework
0x1b0ccb000 -        0x1b0cd0fff  com.apple.AppleSRP (5.0 - 1) <DC2069EF-AF13-3D49-B48F-F9BB9D666712> /System/Library/PrivateFrameworks/AppleSRP.framework/Versions/A/AppleSRP
0x1b0cd1000 -        0x1b0cdbfff  com.apple.frameworks.CoreDaemon (1.3 - 1.3) <127FB1D1-2EAA-3AD4-9E48-2F3F6F066A14> /System/Library/PrivateFrameworks/CoreDaemon.framework/Versions/B/CoreDaemon
0x1b0cdc000 -        0x1b0d10fff  com.apple.framework.SystemAdministration (1.0 - 1.0) <8279C918-F744-3C19-93D6-DE2DB7C1B1E5> /System/Library/PrivateFrameworks/SystemAdministration.framework/Versions/A/SystemAdministration
0x1b14ee000 -        0x1b1549fff  com.apple.CoreBluetooth (1.0 - 1) <11FE4920-7267-36EB-8B17-151B8F41D654> /System/Library/Frameworks/CoreBluetooth.framework/Versions/A/CoreBluetooth
0x1b154a000 -        0x1b1554fff  com.apple.SymptomDiagnosticReporter (1.0 - 79.40.12) <9281E634-5ABF-3485-9869-1660C3F2B75D> /System/Library/PrivateFrameworks/SymptomDiagnosticReporter.framework/Versions/A/SymptomDiagnosticReporter
0x1b156a000 -        0x1b1575fff  com.apple.AppleIDAuthSupport (1.0 - 1) <55DA8399-E764-3464-AA63-FB7DBA1C041B> /System/Library/PrivateFrameworks/AppleIDAuthSupport.framework/Versions/A/AppleIDAuthSupport
0x1b1576000 -        0x1b162afff  com.apple.DiscRecording (9.0.3 - 9030.4.5) <F64FFFE7-AB74-3C03-BAFB-BCBF4DBCDBCD> /System/Library/Frameworks/DiscRecording.framework/Versions/A/DiscRecording
0x1b162b000 -        0x1b165efff  com.apple.MediaKit (16 - 927.40.2) <AFF2AF6E-FACA-34D1-BA21-F01E445DB697> /System/Library/PrivateFrameworks/MediaKit.framework/Versions/A/MediaKit
0x1b165f000 -        0x1b173ffff  com.apple.DiskManagement (14.0 - 1733.60.1) <E216DF7D-FACF-39C9-B316-9AF2F8F08E04> /System/Library/PrivateFrameworks/DiskManagement.framework/Versions/A/DiskManagement
0x1b1740000 -        0x1b174bfff  com.apple.CoreAUC (322.2.0 - 322.2.0) <A0D85DA0-E7F2-3329-98F3-27045BD949F3> /System/Library/PrivateFrameworks/CoreAUC.framework/Versions/A/CoreAUC
0x1b174c000 -        0x1b174ffff  com.apple.Mangrove (1.0 - 25) <DE8C5916-FF51-3A7A-8173-D297EE52D90A> /System/Library/PrivateFrameworks/Mangrove.framework/Versions/A/Mangrove
0x1b1750000 -        0x1b177ffff  com.apple.CoreAVCHD (6.1.0 - 6100.4.1) <B8853BE6-FCCC-3AAF-BD0B-97D3EBC75FE3> /System/Library/PrivateFrameworks/CoreAVCHD.framework/Versions/A/CoreAVCHD
0x1b1780000 -        0x1b18a8fff  com.apple.FileProvider (326 - 326) <41CFE519-0190-3E90-97B3-692046037AE1> /System/Library/Frameworks/FileProvider.framework/Versions/A/FileProvider
0x1b18a9000 -        0x1b18ccfff  com.apple.GenerationalStorage (2.0 - 322) <7C39E85F-C302-380F-9E7D-EFF873607707> /System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A/GenerationalStorage
0x1b2269000 -        0x1b22a3fff  com.apple.DebugSymbols (195.1 - 195.1) <525D1AB3-CF31-3314-9A19-599D5078FAEF> /System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols
0x1b22a4000 -        0x1b235bfff  com.apple.CoreSymbolication (12.2 - 64541.4) <DDEA1AAD-5FC1-3C0C-BD5A-ABE12F310473> /System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication
0x1b31e2000 -        0x1b3241fff  com.apple.framework.Apple80211 (17.0 - 1728) <BE2820B6-286D-3EB7-B219-C0E267335AA3> /System/Library/PrivateFrameworks/Apple80211.framework/Versions/A/Apple80211
0x1b3242000 -        0x1b337afff  com.apple.CoreWiFi (3.0 - 341) <138EC2D6-6250-3E1C-AC0E-B78B4E5D9802> /System/Library/PrivateFrameworks/CoreWiFi.framework/Versions/A/CoreWiFi
0x1b3396000 -        0x1b33d1fff  com.apple.LDAPFramework (2.4.28 - 194.5) <D0E4EBE6-0D3B-3191-A551-4256E4605E37> /System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
0x1b33d2000 -        0x1b33d3fff  com.apple.TrustEvaluationAgent (2.0 - 35) <E06F76FD-614B-3955-A697-83A48AD7A00F> /System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent
0x1b33d4000 -        0x1b34cdfff  libcrypto.44.dylib (56.60.2) <29E7B90E-F541-3B3E-A484-61CDE1ED5B65> /usr/lib/libcrypto.44.dylib
0x1b34ce000 -        0x1b34f9fff  libssl.46.dylib (56.60.2) <E8EFE303-6EA1-3F8C-8581-CD024486B387> /usr/lib/libssl.46.dylib
0x1b34fa000 -        0x1b35adfff  com.apple.DiskImagesFramework (595.40.1 - 595.40.1) <521C9845-BBDC-3B3B-9A2E-C2D13B7F41E6> /System/Library/PrivateFrameworks/DiskImages.framework/Versions/A/DiskImages
0x1b35e4000 -        0x1b35f3fff  com.apple.xpc.RemoteServiceDiscovery (1.0 - 2038.40.38) <10757691-CC02-38D3-B5D8-A264D9648519> /System/Library/PrivateFrameworks/RemoteServiceDiscovery.framework/Versions/A/RemoteServiceDiscovery
0x1b35f4000 -        0x1b360bfff  com.apple.xpc.RemoteXPC (1.0 - 2038.40.38) <D62A0803-B9E0-38E6-8D95-E4DEC0E27AEE> /System/Library/PrivateFrameworks/RemoteXPC.framework/Versions/A/RemoteXPC
0x1b364f000 -        0x1b3652fff  com.apple.help (1.3.8 - 71) <571D77F4-7411-36A8-8C3D-DBF00A4A4ACE> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x1b3653000 -        0x1b365afff  com.apple.EFILogin (2.0 - 2) <C454840B-BCC2-300B-99B3-10FCAE76E131> /System/Library/PrivateFrameworks/EFILogin.framework/Versions/A/EFILogin
0x1b365b000 -        0x1b3666fff  libcsfde.dylib (554) <A4B3791B-54BC-3BF9-83CA-B5D7D3FC8BD7> /usr/lib/libcsfde.dylib
0x1b3667000 -        0x1b36c6fff  libcurl.4.dylib (121.40.2) <B9C7E3F0-9F3F-3992-BC36-23E3120D7824> /usr/lib/libcurl.4.dylib
0x1b36c7000 -        0x1b36cefff  com.apple.LoginUICore (4.0 - 4.0) <3AE223DC-ACE7-3E72-8865-A4107EAAF0BA> /System/Library/PrivateFrameworks/LoginUIKit.framework/Versions/A/Frameworks/LoginUICore.framework/Versions/A/LoginUICore
0x1b388c000 -        0x1b388cfff  com.apple.ApplicationServices (48 - 50) <5FAA3FF0-EC9B-3A66-A99D-70FFAC23EA29> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x1b3b72000 -        0x1b3b72fff  libHeimdalProxy.dylib (79) <42592F61-568E-322B-B5DF-9C69A33E9000> /System/Library/Frameworks/Kerberos.framework/Versions/A/Libraries/libHeimdalProxy.dylib
0x1b3c1d000 -        0x1b3c1dfff  com.apple.audio.units.AudioUnit (1.14 - 1.14) <E2E442D0-D865-3703-9B74-3C2BE1190D42> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x1b3c48000 -        0x1b3c85fff  com.apple.StreamingZip (1.0 - 1) <1D5D4352-68E8-3E4D-AA4A-19109079D367> /System/Library/PrivateFrameworks/StreamingZip.framework/Versions/A/StreamingZip
0x1b45a4000 -        0x1b45aafff  com.apple.ASEProcessing (1.26.0 - 1.26.0) <D50AB8C9-1C75-3072-A18E-161237441092> /System/Library/PrivateFrameworks/ASEProcessing.framework/Versions/A/ASEProcessing
0x1b553c000 -        0x1b553ffff  com.apple.Cocoa (6.11 - 23) <E07A10C4-E5C3-39CD-9231-C91BF75E29DB> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x1b5a67000 -        0x1b5a6afff  com.apple.IOSurfaceAccelerator (1.0.0 - 1.0.0) <C57E5066-EC50-3E8D-8883-E9D0DB9D5A85> /System/Library/PrivateFrameworks/IOSurfaceAccelerator.framework/Versions/A/IOSurfaceAccelerator
0x1b6aee000 -        0x1b6b09fff  com.apple.openscripting (1.7 - 190) <89C64D77-FF84-320E-BE5F-78F279C36C73> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x1b6b0a000 -        0x1b6b0dfff  com.apple.securityhi (9.0 - 55008) <E71813F6-18F3-35AB-A6C8-12AFACCBDE0A> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x1b6b0e000 -        0x1b6b11fff  com.apple.ink.framework (10.15 - 227) <CB34A459-A64B-37EA-8695-113E64A52382> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x1b6b12000 -        0x1b6b15fff  com.apple.CommonPanels (1.2.6 - 101) <41AE151F-CBC4-3838-9DDC-B364997377F8> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x1b6b16000 -        0x1b6b1dfff  com.apple.ImageCapture (1708 - 1708) <636A654E-0A0B-33CD-9A63-555A5DF631DF> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x1b8ce1000 -        0x1b8d02fff  com.apple.IOGPU (20.21.1 - 20.21.1) <A87744EB-C1F5-31ED-BE39-B71692DC97FA> /System/Library/PrivateFrameworks/IOGPU.framework/Versions/A/IOGPU
0x1b997e000 -        0x1b9981fff  com.apple.OSAServicesClient (1.0 - 1) <512E9139-6E20-3E01-AA0C-5AC2D2AF3656> /System/Library/PrivateFrameworks/OSAServicesClient.framework/Versions/A/OSAServicesClient
0x1bd5b0000 -        0x1bd5b3fff  com.apple.print.framework.Print (15 - 271) <C137A101-A4E4-35E2-B9D5-5807C879F854> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x1bd5b4000 -        0x1bd5b7fff  com.apple.Carbon (160 - 164) <9455FEDB-56A3-38DD-8473-41826E74C4CC> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x1bd845000 -        0x1bd861fff  com.apple.private.SystemPolicy (1.0 - 1) <A74ADA5D-C1DA-376E-B5A2-F3AAE208DD0C> /System/Library/PrivateFrameworks/SystemPolicy.framework/Versions/A/SystemPolicy
0x1be1b2000 -        0x1be1bdfff  com.apple.MallocStackLogging (1.0 - 1) <CE8B1F36-F650-397C-AC25-E9C22C4B8747> /System/Library/PrivateFrameworks/MallocStackLogging.framework/Versions/A/MallocStackLogging
0x1be1d3000 -        0x1be1e5fff  libmis.dylib (274.60.2) <75205B54-301C-32A2-9F78-5CA68144EDD4> /usr/lib/libmis.dylib
0x1c1b55000 -        0x1c1b6dfff  libCGInterfaces.dylib (544) <E7E7FB73-B3FD-3A36-9436-8D1B1C9BC3EE> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/Libraries/libCGInterfaces.dylib
0x1c3f4e000 -        0x1c4177fff  com.apple.RawCamera.bundle (9.10.0 - 1420.3) <2FA14338-8788-303D-9730-D36203C39DC8> /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
0x1c81c4000 -        0x1c820dfff  com.apple.osanalytics.OSAnalytics (1.0 - 1) <E444D45A-16C6-3D81-9F9E-F1480954B314> /System/Library/PrivateFrameworks/OSAnalytics.framework/Versions/A/OSAnalytics
0x1d1df7000 -        0x1d1e89fff  com.apple.Symbolication (12.2 - 64541.7.1) <4D8C25CC-A99D-3278-AF7C-82234882DF72> /System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication
0x1d5e24000 -        0x1d5e27fff  com.apple.ForceFeedback (1.0.6 - 1.0.6) <4B3883EC-A037-3268-A058-0000DC834D83> /System/Library/Frameworks/ForceFeedback.framework/Versions/A/ForceFeedback
0x1e1de5000 -        0x1e1de9fff  libmetal_timestamp.dylib (31001.160) <138EA401-9B10-3CCD-8C52-8AAEC870F9DD> /System/Library/PrivateFrameworks/GPUCompiler.framework/Versions/31001/Libraries/libmetal_timestamp.dylib
0x1e403e000 -        0x1e4044fff  libCoreFSCache.dylib (177.22) <4DD54172-58DD-3354-9237-24240736ED23> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreFSCache.dylib
0x1e4045000 -        0x1e404afff  libCoreVMClient.dylib (177.22) <A7D89B20-2B56-3AA7-BF8D-E4FFCBEB6B06> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
0x1e404b000 -        0x1e405afff  com.apple.opengl (18.1.1 - 18.1.1) <DE64D1BB-B8A8-33F3-ADBE-CEEAE6D95C27> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x1e405b000 -        0x1e405dfff  libCVMSPluginSupport.dylib (18.1.1) <8A8A2DC0-921E-3325-ACBA-365D1BC4680F> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib
0x1e405e000 -        0x1e4066fff  libGFXShared.dylib (18.1.1) <87B86869-7D32-3408-B85C-5D3EE7572552> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
0x1e4067000 -        0x1e409ffff  libGLImage.dylib (18.1.1) <8200AF5B-F339-3B05-971F-BAD8C3D7B6EC> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x1e40a0000 -        0x1e40d8fff  libGLU.dylib (18.1.1) <504D710E-7F8B-33CE-8F02-E7D35E0D2A39> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x1e40d9000 -        0x1e4247fff  libGLProgrammability.dylib (18.1.1) <90DCD57F-7ECC-3D10-863C-38B018F11FF1> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
0x1e4248000 -        0x1e4252fff  libGL.dylib (18.1.1) <146816E2-8322-3944-99A6-23C431D8E79E> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x1e4253000 -        0x1e43bcfff  GLEngine (18.1.1) <8266EEAE-EB15-3232-A351-F67580640980> /System/Library/Frameworks/OpenGL.framework/Versions/A/Resources/GLEngine.bundle/GLEngine
0x1e43bd000 -        0x1e43e2fff  GLRendererFloat (18.1.1) <9B7210CE-9192-3BE4-892C-98A31059DEE1> /System/Library/Frameworks/OpenGL.framework/Versions/A/Resources/GLRendererFloat.bundle/GLRendererFloat
0x1e43e3000 -        0x1e4442fff  com.apple.opencl (4.5 - 4.5) <248E1DE7-6AAC-3130-A8BC-72745BB9583C> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
0x1e5a8f000 -        0x1e5ab2fff  com.apple.audio.OpenAL (1.8 - 1.8) <1C11FE31-9F7F-3C6B-B1D6-4DA3FF5E10D0> /System/Library/Frameworks/OpenAL.framework/Versions/A/OpenAL
0x1f27ae000 -        0x1f27b5fff  libRosetta.dylib (203.13.2) <F36DDACF-B46B-3813-8ADE-A275209588BF> /usr/lib/libRosetta.dylib

External Modification Summary:

Calls made by other processes targeting this process:
  task_for_pid: 0
  thread_create: 0
  thread_set_state: 0
Calls made by this process:
  task_for_pid: 0
  thread_create: 0
  thread_set_state: 0
Calls made by all processes on this machine:
  task_for_pid: 1746
  thread_create: 0
  thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=875.2M resident=0K(0%) swapped_out_or_unallocated=875.2M(100%)
Writable regions: Total=1.6G written=0K(0%) resident=0K(0%) swapped_out=0K(0%) unallocated=1.6G(100%)

VIRTUAL   REGION

REGION TYPE SIZE COUNT (non-coalesced)

Accelerate framework 512K 4
Activity Tracing 256K 1
CG backing stores 3264K 6
CG image 128K 4
CoreAnimation 96K 6
CoreGraphics 32K 2
CoreUI image data 656K 5
Foundation 16K 1
Kernel Alloc Once 32K 1
MALLOC 336.3M 67
MALLOC guard page 192K 8
MALLOC_MEDIUM (reserved) 816.0M 7 reserved VM address space (unallocated)
MALLOC_NANO (reserved) 384.0M 1 reserved VM address space (unallocated)
OpenGL GLSL 256K 3
STACK GUARD 384K 24
Stack 37.7M 24
VM_ALLOCATE 31.3M 155
VM_ALLOCATE (reserved) 32K 1 reserved VM address space (unallocated)
AUTH 654K 156
AUTH_CONST 9767K 317
CTF 759 1
DATA 51.8M 311
DATA_CONST 15.7M 320
DATA_DIRTY 603K 103
FONT_DATA 4K 1
GLSLBUILTINS 5176K 1
LINKEDIT 526.8M 15
OBJC_CONST 1222K 129
OBJC_RO 64.5M 1
OBJC_RW 2544K 1
TEXT 348.5M 340
UNICODE 588K 1
mapped file 241.1M 25
shared memory 144K 5

TOTAL 2.8G 2047
TOTAL, minus reserved VM space 1.6G 2047

Model: MacBookPro17,1, BootROM 6723.61.3, proc 8:4:4 processors, 16 GB, SMC
Graphics: kHW_AppleM1Item, Apple M1, spdisplays_builtin
Memory Module: lp_ddr4
AirPort: spairport_wireless_card_type_airport_extreme, wl0: Oct 20 2020 12:49:54 version 18.20.222.14.7.8.100 FWID 01-ba327c2d
Bluetooth: Version 8.0.2f9, 3 services, 27 devices, 1 incoming serial ports
Network Service: Wi-Fi, AirPort, en0
USB Device: USB 3.1 Bus
USB Device: USB3.0 Hub
USB Device: USB2.0 Hub
USB Device: USB 2.0 BILLBOARD
USB Device: USB 3.1 Bus
Thunderbolt Bus: MacBook Pro, Apple Inc., 0.0
Thunderbolt Bus: MacBook Pro, Apple Inc., 0.0

Hans Goudey (HooglyBoogly) changed the task status from Needs Triage to Needs Information from User.Sat, May 1, 10:46 PM

The build you're using is from April 19th, that's quite a while ago. Could you check whether this happens on the most recent 2.93 build? Thanks.

Oh I see. I've been using the daily build located at https://builder.blender.org/download/ which still seems to have 4/19 as the daily build.

Should I be looking elsewhere?

No, that's the right place. Looks like the build just hasn't updated in a while. The macOS arm stuff is pretty new, so maybe that's ordinary.

I'm just pretty sure I fixed this bug a couple weeks ago, so the next build you get should work fine.

David Barton (Eyebeards) closed this task as Resolved.Sun, May 2, 11:25 PM
David Barton (Eyebeards) claimed this task.